by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
Angel Guadarrama
@fr33co
Hello Alfredo. You can implement using Docker.
develroo
@develroo
OK so just a question for devs I think.. UK's new Making Tax Digital means all transactions will have to be done electronically and they are planning on having access to the entire accounting record to look for mistakes. This means for Flectra being able to export an auditable report that lists all transactions and amendments in an easy to read form. It that possible with Flectra ?
Nathan Ogden
@Coolfeather2
Hi, Having issues with repository signature?
The following signatures were invalid: BADSIG EF00F70672017BFB FlectraHQ flectra@flectrahq.com
The repository 'https://download.flectrahq.com/1.0/pub/deb ./ Release' is not signed
Anthony Jo
@arsisra_gitlab
Hi, Parthiv. Is any your custom addon module like stock inventory report which reporting beginning, received, transfer, adjust, recent stock in range date? I would like to buy in Flectra.
Anthony Jo
@arsisra_gitlab
WhatsApp Image 2019-06-15 at 7.28.51 AM.jpeg
I got this error when entry data in Inventory > Delivery Order :
"uncaught typeerror: cannot read property 'data' of null"
Any advised?
Marker.bz
@collex100
Screenshot_3.jpg
Question. If there is a quick response. How does a report access data within an application? Is there a way to connect to the data in this list? Thanks.
CHEONG JUSTIN
@justincheong001_gitlab
Dear All, I would like to add the contact sequence number, how can I do it? thanks!
@/all
Edison Ibañez
@arkhan
@/all Greetings, because when you install the account_invoicing module, account_discount is automatically installed
Anthony Jo
@arsisra_gitlab
@justincheong001_gitlab there is community module
base partner sequence
Florian Keil
@criseas_gitlab
Hello, does anyone know when #187 and #197 get fixed? workarround for #187 works but #197 ...
Delor3an
@Delor3an
Hi all, got a problem when trying a base update (WebUI & CLi give the same error)

Error:
Flectra Server Error

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/flectra/service/model.py", line 97, in wrapper
return f(dbname, args, **kwargs)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 337, in checked_call
result = self.endpoint(
a, kw)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 939, in call
return self.method(*args,
kw)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 517, in response_wrap
response = f(args, **kw)
File "/usr/lib/python3/dist-packages/flectra/addons/web/controllers/main.py", line 1094, in call_button
action = self._call_kw(model, method, args, {})
File "/usr/lib/python3/dist-packages/flectra/addons/web/controllers/main.py", line 1082, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/usr/lib/python3/dist-packages/flectra/api.py", line 689, in call_kw
return call_kw_multi(method, model, args, kwargs)
File "/usr/lib/python3/dist-packages/flectra/api.py", line 680, in call_kw_multi
result = method(recs,
args, kwargs)
File "<decorator-gen-48>", line 2, in button_immediate_upgrade
File "/usr/lib/python3/dist-packages/flectra/addons/base/module/module.py", line 74, in check_and_log
return method(self, *args,
kwargs)
File "/usr/lib/python3/dist-packages/flectra/addons/base/module/module.py", line 638, in button_immediate_upgrade
return self._button_immediate_function(type(self).button_upgrade)
File "/usr/lib/python3/dist-packages/flectra/addons/base/module/module.py", line 570, in _button_immediate_function
modules.registry.Registry.new(self._cr.dbname, update_module=True)
File "/usr/lib/python3/dist-packages/flectra/modules/registry.py", line 85, in new
flectra.modules.load_modules(registry._db, force_demo, status, update_module)
File "/usr/lib/python3/dist-packages/flectra/modules/loading.py", line 321, in load_modules
report=report, models_to_check=models_to_check)
File "/usr/lib/python3/dist-packages/flectra/modules/loading.py", line 153, in load_module_graph
registry.init_models(cr, model_names, {'module': package.name})
File "/usr/lib/python3/dist-packages/flectra/modules/registry.py", line 306, in init_models
model._auto_init()
File "/usr/lib/python3/dist-packages/flectra/addons/base/ir/ir_model.py", line 1299, in _auto_init
self._table, ['module', 'name'])
File "/usr/lib/python3/dist-packages/flectra/tools/sql.py", line 197, in create_unique_index
cr.execute('CREATE UNIQUE INDEX "{}" ON "{}" ({})'.format(indexname, tablename, args))
File "/usr/lib/python3/dist-packages/flectra/sql_db.py", line 156, in wrapper
return f(self, args, *kwargs)
File "/usr/lib/python3/dist-packages/flectra/sql_db.py", line 233, in execute
res = self._obj.execute(query, params)
psycopg2.IntegrityError: ERREUR: n'a pas pu créer l'index unique « ir_model_data_module_name_uniq_index »
DÉTAIL : La clé (module, name)=(base, report_ir_model_overview) est dupliquée.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/flectra/http.py", line 653, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 312, in _handle_exception
raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/flectra/tools/pycompat.py", line 87, in reraise
raise value
File "/usr/lib/python3/dist-packages/flectra/http.py", line 695, in dispatch
result = self._call_function(self.params)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 344, in _call_function
return checked_call(self.db, *args,
kwargs)
File "/usr/lib/python3/dist-packages/flectra/service/model.py", line 141, in wrapper
raise ValidationError(inst[0])
TypeError: 'IntegrityError' object is not subscriptable

Parthiv Patel
@parthivgls
@Delor3an please report the issue on https://gitlab.com/flectra-hq/flectra/issues
Delor3an
@Delor3an
@parthivgls Problem solved. I had close flectra just after restoring DB that had corrupted it
But. with a good restore, I have another problem and get this message. Do I need to open a ticket for it ?
<string>:2: (WARNING/2) Inline strong start-string without end-string.
2019-08-08 05:22:01,283 5095 WARNING Database_Name flectra.addons.base.module.module: docutils' system message present: <system_message backrefs="id2" ids="id1" level="2" line="2" source="<string>" type="WARNING"><paragraph>Inline strong start-string without end-string.</paragraph></system_message>
farzad babamiri
@babamiri

Hello
I want to create a user with the following code
The code runs without error and I get the user code
But when I login I got this message “the password is incorrect”
Can anyone help me or tell me what’s wrong with my code?

import xmlrpclib
url = "http://localhost:7073"
db = "db1"
username = 'admin'
password = 'admin'
common = xmlrpclib.ServerProxy('{}/xmlrpc/2/common'.format(url))
uid = common.authenticate(db, username, password, {})
models = xmlrpclib.ServerProxy('{}/xmlrpc/2/object'.format(url))
user_id = models.execute_kw(db, uid, password, 'res.users', 'create', [{'name':"test", 'login':'test@gmail','company_ids':[1],'company_id':1, 'new_password':'welcome1'}])
print user_id

Thomas Winteler
@thomich_gitlab
join us now on our main Telegram FlectraHQ (Community Group): https://t.me/FlectraCommunityGroup
@babamiri seams you give a clear password instead of a crypted...
ajinvn
@ajinvn_gitlab
HI all !
how to pass values on form to ir.action.client ?
ajinvn
@ajinvn_gitlab
hi
Jin-Kang Cheng
@chengjk84_twitter
hi all... any1 here successfully installed flectra community plugins? i try to copy it to addons folder but not seem to work... i use deb installer, and trying to get pos loyalty to work...
Florian Keil
@criseas_gitlab
Hello Guys,
does anyone know for a list of rights behind the ACL Roles ? I cant find sth what fits.
Yves MALATESTA
@malatestay
Hello, i update an external module 'Clever All In One Report Templates' and installed in flectra 1.6. we no issue. All flectra work well module included but i lose 'web_settings_dashboard.main'. and all technical menu. Some body have an idea ?
develroo
@develroo

Guys.. some reason I am unable to login as admin user now.. Normal users can login but I keep seeing this in the log and it bounces back with wrong password (which is right password)

2020-01-28 20:35:00,848 1 WARNING mycompany root: Remote with ip 10.4.0.30 could not be found
2020-01-28 20:35:04,861 1 WARNING mycompany root: Remote with ip 10.4.0.30 could not be found
2020-01-28 20:35:04,942 1 INFO mycompany flectra.addons.base.res.res_users: Login failed for db:mycompany login:flectraadmin@mycompany.net from 10.4.0.30

What does remote with ip mean ? Did I some how blacklist myself from access ?
Kok Wai Gie
@woshikie
Has anyone managed to configure flectra incoming and outgoing email using Gmail's imap/pop3?
ugintl
@ugintl
Any update on flectra mobile apps?
ugintl
@ugintl

@parthivgls @tonyanytime

Any update on flectra mobile apps?

Matthew Longfield
@matthewlongfield
Can anyone tell me how to override the startup behavior for the flectrahq/flectra docker image? Flectra launches with this (from ps -ax | grep flectra) "python3 /opt/flectra/flectra-bin --db_host db --db_port 5432 --db_user flectra --db_password flectra" what I actually need to do is supply the config file when it launches, but I can't stop flectra-bin with kill and I don't know how it gets started in the first place. service flectra stop has no effect
Matthew Longfield
@matthewlongfield

I was ultimately able to do a workaround to get the --config added to flectra-bin startup.
I modified the /opt/flectra/entrypoint.sh file in the running container and commented out the existing exec lines and added the override. I’m not very good at shell scripting and it’s probably a hack, but it get’s the job done, and hopefully points someone with a similar issue in the right direction

case “$1” in
– | flectra)
shift
if [[ “$1” == “scaffold” ]] ; then
exec /opt/flectra/flectra-bin “$@”
else
exec /opt/flectra/flectra-bin --config /etc/flectra/flectra.conf --logfile /var/log/flectra/flectra-server.log
fi
;;
-)
exec /opt/flectra/flectra-bin --config /etc/flectra/flectra.conf --logfile /var/log/flectra/flectra-server.log
;;
)
exec “$@”
esac

exit 1

Yadav Lamichhane
@omegazyadav
Hello! I am having issue while integrating a custom module in dockerized flectra. Basically I mounted the custom module directory to the /mnt/extra-addoons of a container. Then I updated the application list which should be added into it but I am out of luck. If you guys have any idea regarding this, it would be quite helpful.
Matthew Longfield
@matthewlongfield
@omegazyadav all the docker images I've seen so far for flectra don't read a config file in /etc/flectra/flectra.conf and use a default plugin folder of /opt/flectra/flectra/addons - you' might have to either adjust the entrypoint.sh like I discussed just previous to your post to point to a config file that you can modify to include the /mnt/extra-addons path, or put your plugin in the /opt/flectra/flectra/addons folder - I generally use 'docker exec -u0 -it flectra-container-name /bin/bash' to shell into the container and then use 'ps -ax | grep flectra' to see what was passed to the command that started the flectra service. hopefully this helps - other more experienced folks please pipe in if you have a better way.
Yadav Lamichhane
@omegazyadav
This is more than enough, now I am able to solve the issue either way that you have pointed. Thanks a bunch @matthewlongfield
Hackbard
@Hackbard
hi there, i'm pretty new to flectra. Can i deactivate the demo data when i install a addon?
Hackbard
@Hackbard
When i start flectra the first time, it installs the demo data and i have no database configurator to uncheck it
Hackbard
@Hackbard
Hi there
how can i use the xmlrpc? i have a clean install of flectra and want to use the xml rpc but i can not call the /start point as mentioned in the documentation
my flectra version 1.6.4
hope someone can help
Fabien Bourgeois
@Yakulu
Matthew Longfield
@matthewlongfield
@Hackbard the biggest and most important thing you need to do to make it work is to make sure the config file specified in your -c setting has the correct value in dbfilter - if the database is named flectra then the below should work - also doublecheck db_host, db_name & db_password. After restarting the server with these new config values you should be able to connect with Postman or cURL. My sample config file to follow
[options]
addons_path = /opt/flectra/flectra/addons
admin_passwd = admin
app_store = install
backup = False
backup_zip = False
csv_internal_sep = ,
data_dir = /opt/flectra/.local/share/Flectra
db_host = db
db_maxconn = 64
db_name = flectra
db_password = flectra
db_port = 5432
db_sslmode = prefer
db_template = template1
db_user = flectra
dbfilter = flectra
demo = {}
destination = False
email_from = False
geoip_database = /usr/share/GeoIP/GeoLite2-City.mmdb
http_enable = True
http_interface =
http_port = 7073
import_partial =
limit_memory_hard = 2684354560
limit_memory_soft = 2147483648
limit_request = 8192
limit_time_cpu = 60
limit_time_real = 120
limit_time_real_cron = -1
list_db = True
log_db = False
log_db_level = warning
log_handler = :INFO
log_level = info
logfile = /var/log/flectra/flectra-server.log
logrotate = True
longpolling_port = 7072
max_cron_threads = 2
osv_memory_age_limit = 1.0
osv_memory_count_limit = False
pg_path = None
pidfile = None
proxy_mode = True
reportgz = False
restore = False
restore_zip = False
server_wide_modules = web
smtp_password = False
smtp_port = 25
smtp_server = localhost
smtp_ssl = False
smtp_user = False
syslog = False
test_commit = False
test_enable = False
test_file = False
test_report_directory = False
translate_modules = ['all']
unaccent = False
without_demo = False
workers = 0